<!--
{
  "availability" : [

  ],
  "documentType" : "symbol",
  "framework" : "apple-school-and-business-manager-api",
  "identifier" : "/documentation/AppleBusinessAPI/Get-OrgDeviceActivity-Information",
  "metadataVersion" : "0.1.0",
  "role" : "Web Service Endpoint",
  "symbol" : {
    "kind" : "Web Service Endpoint",
    "modules" : [
      "Apple Business API"
    ],
    "preciseIdentifier" : "rest:AppleBusinessAPI:get:v1-orgDeviceActivities-{}"
  },
  "title" : "Get Organization Device Activity Information"
}
-->

# Get Organization Device Activity Information

Get information for an organization device activity that a device management action, such as assign or unassign, creates.

## Overview> Note: This API supports fetching organization device activity information that the system creates for device management actions, such as assigning or unassigning devices to the device management service in the past 30 days.

**Request:**

```
curl "https://api-business.apple.com/v1/orgDeviceActivities/{id}" \
    -H "Authorization: Bearer ${ACCESS_TOKEN}"
```

**Response:**

```json
    {
      "data": {
        "type": "orgDeviceActivities",
        "id": "84d7f133-b4a4-41be-ad0a-c2e4e53ea624",
        "attributes": {
          "status": "COMPLETED",
          "subStatus": "COMPLETED_WITH_SUCCESS",
          "createdDateTime": "2025-05-01T18:22:27.106Z",
          "completedDateTime": "2025-05-01T18:22:38.894Z",
          "downloadUrl": "https://store.blobstore.apple.com/4a7f73ecd1/1317ef485b3aea95ac80/9b5c028726eacaa1f3e2/ccfa60f6114198d48cc5/88c579b1995efc28cd36?response-content-disposition=attachment%3Bfilename%3D%22ABM-ActivityLog_May-1-2025_14-22-40.csv%22&response-content-type=application%2Foctet-stream&iCloudAccessKeyId=MACOSX_SU_ACCESS_KEY&Expires=1746123820&Signature=wrYW2gn7UZDM9aO3KOMqT8YWCBo%3D"
        },
        "links": {
          "self": "https://api-business.apple.com/v1/orgDeviceActivities/84d7f133-b4a4-41be-ad0a-c2e4e53ea624"
        }
      },
      "links": {
        "self": "https://api-business.apple.com/v1/orgDeviceActivities/84d7f133-b4a4-41be-ad0a-c2e4e53ea624"
      }
    }
```

## Topics

### Responses

[`object OrgDeviceActivityResponse`](/documentation/AppleBusinessAPI/OrgDeviceActivityResponse)

A response that contains a single organization device activity resource.



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)